* PACKAGE USUBS       !" 롼
*
*"  [HIS] 90/08/31(numaguti)
*
*********************************************************************
      SUBROUTINE RESET     !" 򣰥ꥻå
     O         ( DATA  ,
     D           IDIM   )
*
*   [PARAM] 
      INTEGER    IDIM
*
*   [OUTPUT]       
      REAL       DATA ( IDIM )
*
*   [INTERNAL WORK] 
      INTEGER    I
*
      DO 1100 I = 1, IDIM
        DATA ( I ) = 0.  
 1100 CONTINUE
*
*
      RETURN
      END
***********************************************************************
      SUBROUTINE COPY     !" ʣ
     O         ( DATAO  ,
     I           DATAI  ,
     D           IDIM     )
*
*   [PARAM]
      INTEGER    IDIM
*
*   [OUTPUT]       
      REAL       DATAO ( IDIM )                !" ϥǡ
*
*   [INPUT] 
      REAL       DATAI ( IDIM )                !" ϥǡ
*
*   [INTERNAL WORK] 
      INTEGER    I
*
      DO 1100 I = 1, IDIM
        DATAO ( I ) = DATAI ( I )
 1100 CONTINUE
*
      RETURN
      END
***********************************************************************
      SUBROUTINE SETV   !" ˥顼ͤ򥻥å
     O         ( DATA  ,
     I           VALUE ,
     D           IDIM   )
*
*   [PARAM] 
      INTEGER    IDIM
*
*   [OUTPUT] 
      REAL       DATA ( IDIM )                 !" 
*
*   [INPUT] 
      REAL       VALUE                         !" ϥǡ
*
*   [INTERNAL WORK] 
      INTEGER    I
*
      DO 1100 I = 1, IDIM
        DATA ( I ) = VALUE
 1100 CONTINUE
*
      RETURN
      END
***********************************************************************
      SUBROUTINE FILLV  !" ΤϰϤͤ >>
     M         ( DATA  ,
     I           VALUE ,
     D           IMIN  , IMAX  , IDIM  , JMIN  , JMAX  , JDIM  ,
     D           KMIN  , KMAX                                   )
*
*   [PARAM] 
      INTEGER    IDIM
      INTEGER    JDIM
      INTEGER    KMAX
*
*   [MODIFY] 
      REAL       DATA ( IDIM, JDIM, KMAX )   !" ǡ
*
*   [INPUT] 
      REAL       VALUE                       !" ϥǡ
      INTEGER    IMIN                        !" 裱Ϥ
      INTEGER    IMAX                        !" 裱
      INTEGER    JMIN                        !" 裲Ϥ
      INTEGER    JMAX                        !" 裲
      INTEGER    KMIN                        !" 裳Ϥ
*
*   [INTERNAL WORK] 
      INTEGER    I, J, K
*
      DO 1100 K = KMIN, KMAX
        DO 1100 J = JMIN, JMAX
          DO 1100 I = IMIN, IMAX
            DATA ( I, J, K ) = VALUE
 1100 CONTINUE
*
*
      RETURN
      END
************************************************************************
      SUBROUTINE MAXMIN      !"  κǾͺͤ 
     I         ( DATA, IDIM, JDIM, KMAX, IMAX, JMAX, HITEM )
*
*   [PARAM] 
      INTEGER    IDIM
      INTEGER    JDIM
      INTEGER    KMAX
*
*   [INPUT] 
      REAL       DATA( IDIM, JDIM, KMAX )
      INTEGER    IMAX
      INTEGER    JMAX
      CHARACTER  HITEM*(*)                     !" ɽ
*
*   [INTERNAL WORK] 
      INTEGER    IPMIN, JPMIN, KPMIN
      INTEGER    IPMAX, JPMAX, KPMAX
      REAL       DMIN, DMAX
*
      CALL RVMXMN
     O     ( DMAX  , DMIN  , 
     O       IPMAX , JPMAX , KPMAX , 
     O       IPMIN , JPMIN , KPMIN , 
     I       DATA  , IDIM  , JDIM  , KMAX , 
     I          1  , IMAX  ,    1  , JMAX ,  1 , KMAX  )
*
      WRITE (6,*) HITEM, ': min = ', DMIN,' at ', IPMIN,JPMIN,KPMIN
      WRITE (6,*) HITEM, ': max = ', DMAX,' at ', IPMAX,JPMAX,KPMAX
*
      RETURN
      END
*********************************************************************
      SUBROUTINE RVMXMN
     O            ( DMAX  , DMIN  , 
     O              IPMAX , JPMAX , KPMAX , 
     O              IPMIN , JPMIN , KPMIN , 
     I              DATA  , IDIM  , JDIM  , KDIM , 
     I              ISTR  , IEND  , JSTR  , JEND , KSTR , KEND  )
*
*   [INPUT
      REAL       DMAX , DMIN             !" 硦Ǿ
      INTEGER    IPMAX, JPMAX, KPMAX       !" ͤȤ
      INTEGER    IPMIN, JPMIN, KPMIN       !" ǾͤȤ
      INTEGER    IDIM, JDIM, KDIM
      REAL       DATA( IDIM, JDIM, KDIM )  !" Ĵ٤
      INTEGER    ISTR, IEND                !" Ĵ٤ϰ
      INTEGER    JSTR, JEND
      INTEGER    KSTR, KEND
*
*   [INTERNAL WORK] 
      INTEGER    I, J, K
*
      DMIN = DATA( ISTR, JSTR, KSTR )
      DMAX = DATA( ISTR, JSTR, KSTR )
*
      DO 1100 K=KSTR,KEND
        DO 1100 J=JSTR,JEND
          DO 1100 I=ISTR,IEND
*
            IF ( DATA( I,J,K ) .LT. DMIN ) THEN
              DMIN = DATA( I,J,K )
              IPMIN = I
              JPMIN = J
              KPMIN = K
            ENDIF
*
            IF ( DATA( I,J,K ) .GT. DMAX ) THEN
              DMAX = DATA( I,J,K )
              IPMAX = I
              JPMAX = J
              KPMAX = K
            ENDIF
*
 1100 CONTINUE
*
      RETURN
      END
*********************************************************************
      INTEGER FUNCTION IUNITM  !" ñ̤Ѵ
     I        ( KT    , HUNIT  , IDELT  )
*
*   [INPUT] 
      INTEGER     KT                          !" (ñHUNIT)
      CHARACTER   HUNIT*(*)                   !" ñ
      INTEGER     IDELT                       !" 
*
*   [INTERNAL WORK] 
      INTEGER    IT
*
      IF      (    ( HUNIT       .EQ. 'STEP' )
     &         .OR.( HUNIT       .EQ. 'step' )  ) THEN
*
*"         < 1. step ΤȤ ñ >
*
        IT = KT * IDELT
*
*"         < 2. sec, min, hour, day >
*
      ELSE IF (    ( HUNIT (1:1) .EQ. 'S' )
     &         .OR.( HUNIT (1:1) .EQ. 's' )  ) THEN
        IT = KT
*
      ELSE IF (    ( HUNIT (1:1) .EQ. 'M' )
     &         .OR.( HUNIT (1:1) .EQ. 'm' )  ) THEN
        IT = KT*60
*
      ELSE IF (    ( HUNIT (1:1) .EQ. 'H' )
     &         .OR.( HUNIT (1:1) .EQ. 'h' )  ) THEN
        IT = KT*60*60
*
      ELSE IF (    ( HUNIT (1:1) .EQ. 'D' )
     &         .OR.( HUNIT (1:1) .EQ. 'd' )  ) THEN
        IT = KT*60*60*24
*
      ELSE
*
*"         < 3. ʳ : ʬ >
*
        IT = KT*60
        WRITE (6,*) 'UNIT = ',HUNIT , 'KT = ',KT
        WRITE (6,*) 'ñ̤ޤ󡣣͡ʬˤꤷޤ'
      ENDIF
*
      IUNITM = IT
*
      RETURN
      END
