*" PACKAGE !" ᥤ롼
*"                  original     90/01/14 momoko
*"                  ver 0.1      99/09/09 takepiro
*"                                       bsnsq_2d  ddbsn_2d ذܿ
***********************************************************************
      PROGRAM DDBSN
*
*"        << 2 ųȻϥ֥ͥλȯŸ >>
*"                                    99/09/09 ()
* [PARAM]
#include        "zcdim.F"            !" ʻ, ȿ
#include        "zhdim.F"            !" ʸʸ
*
* [VAR]
*" ʻǡ(t) <DYNMCS>  ʻǡ(t+t)
      REAL PSI2  ( 0:NX+1 , 0:NZ+1 ) !" ήؿ
      REAL ZETA2 ( 0:NX+1 , 0:NZ+1 ) !" 
      REAL T2    ( 0:NX+1 , 0:NZ+1 ) !" 
      REAL C2    ( 0:NX+1 , 0:NZ+1 ) !" minor component ǻ
*
*" ʻǡ(t-t) <DYNMCS>  ʻǡ(t)
      REAL PSI1  ( 0:NX+1 , 0:NZ+1 ) !" ήؿ
      REAL ZETA1 ( 0:NX+1 , 0:NZ+1 ) !" 
      REAL T1    ( 0:NX+1 , 0:NZ+1 ) !" 
      REAL C1    ( 0:NX+1 , 0:NZ+1 ) !" ǻ
*
* [INTERNAL ONCE]
      REAL    DT                !" ֳִ
*
      REAL    DX                !" X γʻֳ
      REAL    DZ                !" Z γʻֳ
*
* [WORK]
      INTEGER IT                !" 롼ץ
      CHARACTER  HINTG * (NCC)  !" ʬå
      LOGICAL    OOUT           !" ϥå
      LOGICAL    OEND           !" λå
      INTEGER    IUNIT          !" åֹ
*
      CALL GLPGET( 'MSGUNIT', IUNIT )
      WRITE ( IUNIT, * ) '2-DIM DOUBLE DIFFUSIVE BOUSSINESQ MODEL'
     &                   //NAME
     &                   //' ver.0.1, 98/09/09'
*
*" << 0. SETPUP :  >>
*
      CALL CLCSTR ( 'SETUP' )
      CALL YPREP                       !" ƥ 
*
      CALL ATSTRT                      !" ¸()
     O     ( IT , DT ) 
*
      CALL ACRGET                      !" ɸ
     O     (  DX , DZ  )
*
      CALL IHSTRT                      !" Ϥ
*
      CALL RDSTRT                      !" ͤ
     I       ( IT ,  
     O         PSI2  , ZETA2 , T2 , C2, 
     O         PSI1  , ZETA1 , T1 , C1  )
*
      CALL ADMXMN                      !" debug monitor
     I     ( PSI2 , ZETA2 , T2  , C2, 
     I       IT   , 'Start PROGRAM'    )
*
#ifdef DEBUG
      CALL WRRSTR               !" ꥹȥե񤭹
     I     ( PSI2  , ZETA2   , T2   , C2 , 
     I       IT    ,                       )
#endif
      CALL CLCEND ( 'SETUP' )
*
*" <<  ʬ >>
*
 8888 CONTINUE                      !" << LOOP : <****** ᥤ󡦥롼 >>
*
*"        < 1. ֥ƥå >
*
          CALL ATSTEP               !"   
     M         ( IT   ,     
     O           HINTG , OOUT , OEND )
*
*"        < 2. ƥåפʪ̤ >
*
         CALL CLCSTR ( 'DYNMCS' )
         CALL DYNMCS
     M         ( PSI2  , ZETA2 , T2  , C2 , 
     M           PSI1  , ZETA1 , T1  , C1 , 
     I           HINTG , DT                )
         CALL CLCEND ( 'DYNMCS' )
*
*"        < 3.  >
*
         CALL CLCSTR ( 'OUTPUT' )
         IF( OOUT ) THEN
            CALL WRRSTR         !" ꥹȥե񤭹
     I         ( PSI2  , ZETA2   , T2   , C2 , 
     I           IT                             )
         ENDIF
         CALL CLCEND ( 'OUTPUT' )
*
      IF ( .NOT. OEND ) GOTO 8888    !" << LEND : ᥤ󡦥롼׽ ****> >>
*
*"        < 4. ǽ >
*
      CALL ADMXMN               !" debug monitor
     I     ( PSI2  , ZETA2 , T2  , C2 , 
     I       IT    , 'End PROGRAM'      )
*
      CALL IHEND                       !" Ϥκǽ
*
      CALL CLCOUT                      !" CPUֽ
      CALL YFINE                       !" ƥ
*
      STOP
      END
*************************************************************************
      SUBROUTINE ADMXMN        !" debug monitor
     I         ( PSI   , ZETA  , T  , C , 
     I           IT    , HLABEL      )
*
* [PARAM]
#include        "zcdim.F"            !" ʻ, ȿ
*   [INPUT] 
      REAL PSI  ( 0:NX+1 , 0:NZ+1 ) !" ήؿ
      REAL ZETA ( 0:NX+1 , 0:NZ+1 ) !" 
      REAL T    ( 0:NX+1 , 0:NZ+1 ) !" 
      REAL C    ( 0:NX+1 , 0:NZ+1 ) !" ǻ
*
      INTEGER    IT
      CHARACTER  HLABEL *(*)
*
      INTEGER IUNIT             !" åֹ
*
      CALL GLPGET( 'MSGUNIT', IUNIT )
      WRITE ( IUNIT,* ) HLABEL, ' IT= ', IT
*
      CALL MAXMIN( PSI , NX+2, NZ+2, 1, NX+1, NZ+2, 'PSI' )
      CALL MAXMIN( ZETA, NX+2, NZ+2, 1, NX+1, NZ+2, 'ZETA' )
      CALL MAXMIN( T   , NX+2, NZ+2, 1, NX+1, NZ+2, 'T' )
      CALL MAXMIN( C   , NX+2, NZ+2, 1, NX+1, NZ+2, 'C' )
*
      RETURN
      END
