* PACKAGE DHEUN    !" ʬ( Heun Scheme )
*
*"  [HIS] 92/01/13 (momoko)
*"        95/08/14 (takepiro) 
*"        96/03/16 (takepiro) 
*"        98/06/09 (takepiro) Ǥβٷ׻
*         98/09/09 (takepiro) bsnsq_2d  ddbsn_2d ذܿ
***********************************************************************
      SUBROUTINE DHEUN
     O             ( PSI3  , ZETA3 , T3   , C3 , 
     I               PSI2  , ZETA2 , T2   , C2 , 
     I               RAYL  , PRND  , QINT, 
     I               RAYLC , PRNDC , QINTC,
     C               DX    , DZ    , DT  ,
     W               TNDZ  , TNDT  ,
     W               AJAC  , ALAP   ) 
*
*"       << Heun schemeˤ꼡ƥåפʪ̤׻ >>
*"                         92/01/13 ()
*
* [PARAM]
#include        "zcdim.F"            !" ʻ, ȿ
*
* [OUTPUT]
      REAL PSI3  ( 0:NX+1 , 0:NZ+1 ) !" ήؿ(STEP)
      REAL ZETA3 ( 0:NX+1 , 0:NZ+1 ) !" (STEP)
      REAL T3    ( 0:NX+1 , 0:NZ+1 ) !" (STEP)
      REAL C3    ( 0:NX+1 , 0:NZ+1 ) !" ǻ(STEP)
*
* [INPUT]
      REAL PSI2  ( 0:NX+1 , 0:NZ+1 ) !" ήؿ(1STEP)
      REAL ZETA2 ( 0:NX+1 , 0:NZ+1 ) !" (1STEP)
      REAL T2    ( 0:NX+1 , 0:NZ+1 ) !" (1STEP)
      REAL C2    ( 0:NX+1 , 0:NZ+1 ) !" ǻ(1STEP)
*
      REAL PRND                 !" ץȥ
      REAL RAYL                 !" 쥤꡼
      REAL QINT                 !" ǮΨ
      REAL PRNDC                !" ץȥ
      REAL RAYLC                !" 쥤꡼
      REAL QINTC                !" ǮΨ
*
      REAL DX                   !" X γʻֳ
      REAL DZ                   !" Z γʻֳ
      REAL DT                   !" ֳִ
*
* [WORK]
      REAL TNDZ2 ( 0:NX+1 , 0:NZ+1 ) !"  1 ʳǤα٤λѲ
      REAL TNDT2 ( 0:NX+1 , 0:NZ+1 ) !"  1 ʳǤβ٤λѲ
      REAL TNDC2 ( 0:NX+1 , 0:NZ+1 ) !"  1 ʳǤǻ٤λѲ
*
      REAL TNDZ3 ( 0:NX+1 , 0:NZ+1 ) !"  2 ʳǤα٤λѲ
      REAL TNDT3 ( 0:NX+1 , 0:NZ+1 ) !"  2 ʳǤβ٤λѲ
      REAL TNDC3 ( 0:NX+1 , 0:NZ+1 ) !"  2 ʳǤǻ٤λѲ
*
      REAL AJAC ( 0:NX+1 , 0:NZ+1 ) !"䥳ӥ
      REAL ALAP ( 0:NX+1 , 0:NZ+1 ) !"ץ饷
*
*  [INTERNAL WORK]
      INTEGER IX                   !"롼ץ
      INTEGER IZ                   !"롼ץ
*
      LOGICAL OFIRST
      DATA    OFIRST  / .TRUE. /
*    
      SAVE  OFIRST 
*
      IF( OFIRST ) THEN
         OFIRST = .FALSE.
         CALL MSGDMP('M','DHEUN',
     &               'HEUN SCHEME TIME INTEGRATE : 98/09/09' )
      ENDIF
*
*"        < 1. Euler scheme : dummyͤ׻ >
*
      CALL DEULTZ
     O       ( TNDZ2 , 
     I         PSI2  , ZETA2 , T2  , C2 , 
     C         RAYL  , PRND  , RAYLC, 
     C         DX    , DZ    , 
     W         AJAC  , ALAP    )
*
      CALL DEULTT
     O      ( TNDT2 , 
     I        PSI2  , T2  , 
     C        QINT  , 
     C        DX    , DZ    , 
     W        AJAC  , ALAP    )
*
      CALL DEULTC
     O      ( TNDC2 , 
     I        PSI2  , C2    , 
     C        PRNDC , QINTC , 
     C        DX    , DZ    , 
     W        AJAC  , ALAP    )
*
      DO 1020 IZ = 1 , NZ
        DO 1010 IX = 1 , NX
              ZETA3( IX,IZ ) 
     &    =   ZETA2( IX,IZ ) + DT * TNDZ2( IX, IZ )
 1010   CONTINUE
 1020 CONTINUE
*
      DO 1030 IZ = 0 , NZ+1
        DO 1040 IX = 1 , NX
              T3(IX,IZ)
     &    =   T2(IX,IZ) + DT * TNDT2( IX, IZ )
              C3(IX,IZ)
     &    =   C2(IX,IZ) + DT * TNDC2( IX, IZ )
 1040   CONTINUE
 1030 CONTINUE
*
      CALL DBNDR                !" ŬѤήؿη׻
     O      ( PSI3  , 
     M        ZETA3 , T3 ,  C3 , 
     I        DX    , DZ        )
*
*"        < 2. ȿ >
*
      CALL DEULTZ
     O      ( TNDZ3 , 
     I        PSI3  , ZETA3 , T3  , C3 , 
     C        RAYL  , PRND  , RAYLC, 
     C        DX    , DZ    , 
     W        AJAC  , ALAP    )
*
      CALL DEULTT
     O      ( TNDT3 , 
     I        PSI3  , T3  , 
     C        QINT  , 
     C        DX    , DZ    , 
     W        AJAC  , ALAP    )
*
      CALL DEULTC
     O      ( TNDC3 , 
     I        PSI3  , C3    , 
     C        PRNDC , QINTC , 
     C        DX    , DZ    , 
     W        AJAC  , ALAP    )
*
      DO 2020 IZ = 1 , NZ
        DO 2010 IX = 1 , NX
           ZETA3( IX,IZ )  =  ZETA2( IX,IZ ) 
     &          + 0.5* DT * ( TNDZ2( IX, IZ ) + TNDZ3( IX, IZ ) )
 2010   CONTINUE
 2020 CONTINUE
*
      DO 2030 IZ = 0 , NZ+1
        DO 2040 IX = 1 , NX
           T3(IX,IZ)  =  T2(IX,IZ)
     &          + 0.5 * DT * ( TNDT2( IX, IZ ) + TNDT3( IX, IZ ) )
           C3(IX,IZ) =  C2(IX,IZ)
     &          + 0.5 * DT * ( TNDC2( IX, IZ ) + TNDC3( IX, IZ ) )
 2040   CONTINUE
 2030 CONTINUE
*
      CALL DBNDR                !" ŬѤήؿη׻
     O      ( PSI3  , 
     M        ZETA3 , T3 ,  C3 , 
     I        DX    , DZ        )
*
      RETURN
      END
